Name:          lablgtk
Version:       2.18.13
Release:       1mamba
Summary:       LablGtk is an OCaml interface to GTK+ 1.2, 2.x, and 3.x
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/garrigue/lablgtk
Source:        https://github.com/garrigue/lablgtk.git/%{version}/lablgtk-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: librsvg-devel
BuildRequires: libxml2-devel
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml
Provides:      lablgtk2
Provides:      ocaml-labgtk2

%description
LablGtk is an OCaml interface to GTK+ 1.2, 2.x, and 3.x.

%debug_package

%prep
%setup -q

%build
%configure \
    --without-gnomeui \
    --without-gnomecanvas \
    --without-panel \
    --without-gtkspell \
    --without-gtksourceview \
    --without-gtksourceview2

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_libdir}/ocaml/ld.conf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gdk_pixbuf_mlsource
%{_bindir}/lablgladecc2
%{_bindir}/lablgtk2
%dir %{_libdir}/ocaml/lablgtk2
%{_libdir}/ocaml/lablgtk2/*
%doc COPYING

%changelog
* Sat May 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.13-1mamba
- update to 2.18.13

* Sun Apr 21 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.7-1mamba
- package created using the webbuild interface
